Package org.apache.jmeter.report.dashboard

# Interface DataExporter

All Known Implementing Classes:
  `AbstractDataExporter`, `HtmlTemplateExporter`, `JsonExporter`

public interface DataExporter
The Interface DataExporter represents an engine to export data from samples consumption.

Since:
  3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `export(SampleContext context, File file, ReportGeneratorConfiguration configuration)`
  Export data from the specified context using the given configuration.
  `String`
  `getName()`
  Gets the name of the exporter.
  `void`
  `setName(String name)`
  Sets the name of the exporter.

- ## Method Details

  - ### getName

    String getName()
    Gets the name of the exporter.
    Returns:
      the name of the exporter

  - ### setName

    void setName(String name)
    Sets the name of the exporter.
    Parameters:
      `name` - the new name of the exporter

  - ### export

    void export(SampleContext context, File file, ReportGeneratorConfiguration configuration) throws ExportException
    Export data from the specified context using the given configuration.
    Parameters:
      `context` - the context (must not be `null`)
      `file` - the file which from samples come (must not be `null`)
      `configuration` - the configuration (must not be `null`)
    Throws:
      `ExportException` - the export exception